Bug 210562 - CUPS doesn't work in MLS Enforcing mode
CUPS doesn't work in MLS Enforcing mode
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
Blocks: 199636
  Show dependency treegraph
Reported: 2006-10-12 17:12 EDT by Irina Boverman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-22 20:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Irina Boverman 2006-10-12 17:12:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20060911 Red Hat/ Firefox/ pango-text

Description of problem:
Description of problem:
The current CUPS code attempts to set the spool files to a ranged MLS label,
which is not allowed in Enforcing mode

Version-Release number of selected component (if applicable):

How reproducible:
Every Time.

Please update to the attached patch, which sets the spool files to the
sensitivity level of the client's context. 

See defect 210542 (and attached patch).

This problem should be resolved before rc1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.see original bug.

Actual Results:
see original bug.

Expected Results:

Additional info:
Comment 1 Irina Boverman 2006-10-12 17:13:56 EDT
Should be fixed in RHEL 5 as well as FC.
Comment 2 Tim Waugh 2006-10-17 06:34:39 EDT
Fixed in cups-1.2.4-9.1.
Comment 4 RHEL Product and Program Management 2006-12-22 20:18:17 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.